De korrigerende versioner af Debian 12.5 og Debian 11.9 ankommer

Debian 12

Den nuværende stabile version af Debian er 12, kaldet bogorm.

Det udgivelse af de nye korrigerende versioner af Debian 12.5 og Debian 11.9, hvor rettelser og kumulative opdateringer af yderligere pakker til installationsprogrammet er blevet implementeret.

Debian 12.5 er placeret som den femte korrigerende version af Debian 12 Bookworm-serien, bringer denne version 68 opdateringer med sigte på at forbedre systemstabilitet og 42 opdateringer med sigte på at rette sikkerhedssårbarheder.

Blandt de Fremhævede forbedringer i Debian 12.5, der er en opdatering til de nyeste og mest stabile versioner af vigtige pakker, og understøttelse af komprimerede kernemoduler er blevet tilføjet til cryptsetup-initramfs.

Blandt de vigtige rettelser, vi kan fremhæve følgende:

  • cryptsetup-initramfs: tilføje understøttelse af komprimerede kernemoduler; cryptsetup-suspend-wrapper
  • engrammap: Retter adskillige hukommelseslækager; rette fil gem som funktionalitet
  • filezilla: Forhindr Terrapin-udnyttelse [CVE-2023-48795]
  • gnutls28: Rettet påstandsfejl ved verificering af en certifikatkæde med en krydssignaturcyklus [CVE-2024-0567]; løser synkroniseringssidekanalproblem [CVE-2024-0553]
  • mate-settings-daemon: Ret hukommelseslækager; slap af med høje DPI-grænser; fix håndtering af flere rfkill begivenheder
  • mate-indstillinger-dæmon: faste hukommelseslækager; slap af med høje DPI-grænser; fix håndtering af flere rfkill begivenheder
  • jtreg7 Ny kildepakke til at understøtte openjdk-17 builds
  • usbutils: Reparer USB-enheder, der ikke udskriver på alle enheder
  • qemu: Ny opstrøms stabil version; virtio-net: Kopiér vnet-headeren korrekt, når du fjerner TX [CVE-2023-6693]; fix null pointer dereference problem [CVE-2023-6683]; revert patch forårsager regression i suspend/resume-funktionalitet

På samme tid er lanceret en ny version af den tidligere stabile gren, Debian 11.9, at indeholder 70 opdateringer for at forbedre stabiliteten og 92 opdateringer rettet mod at løse sikkerhedssårbarheder. Vigtige pakker er blevet opdateret til deres seneste stabile versioner. Derudover er generering af opdateringer blevet stoppet at løse sårbarheder i pakker som chromium, tor, consul og xen, samt i samba-komponenter, der understøtter driften af ​​domænecontrolleren.

For dem, der ønsker at installere fra bunden, er Debian 12.5-installationssamlinger blevet forberedt. Det nævnes, at tidligere installerede systemer, der holdes opdateret, vil modtage de opdateringer, der er inkluderet i Debian 12.5 gennem standardopdateringsinstallationssystemet. Sikkerhedsrettelser indeholdt i nye Debian-udgivelser vil være tilgængelige for brugere, efterhånden som opdateringer udgives via security.debian.org.

Endvidere Det er også værd at nævne at Debian-udviklerne præsenterede en planlægger at migrere alle pakker for at bruge typen "64-bit time_t". i distributionens porte på 32-bit arkitekturer. Disse ændringer vil blive implementeret som en del af Debian 13 "Trixie"-distributionen og forventes fuldstændig at løse år 2038-problemet.

Currently, 64-bit time_t typen Det bruges i Debian-porte til 32-bit arkitekturer såsom x32, riscv32, arc og loong32. Imidlertid, i havnene til arkitekturer som i386, armel, armhf, mipsel, hppa, powerpc, m68k og sh4, 32-bit time_t type bruges stadig. Denne begrænsning forhindrer korrekt håndtering af tid efter 19. januar 2038 på grund af overløbet af sekundtælleren siden 1. januar 1970. Af de 35,960 pakker, der findes i Debian, er time_t-typen til stede i 6,429 og påvirker mere end 1,200 biblioteker.

Ændringen i datatypen vil indebære brud på ABI og vil kræve omdøbning af biblioteksdata, hvilket vil være den største ABI-opdatering i projektets historie.

For nylig er omkring 500 biblioteker blevet uploadet til Debians eksperimentelle gren, og resten er planlagt til at blive konverteret til 64-bit time_t-typen og uploadet i løbet af næste weekend, det nævnes, at når alle problemer er løst identificeret efter konverteringen i den eksperimentelle gren vil nye versioner af bibliotekerne med tagget "abi=time64" blive uploadet til det ustabile lager.

endelig hvis du er det interesseret i at vide mere om det, kan du kontrollere detaljerne I det følgende link.


Vær den første til at kommentere

Efterlad din kommentar

Din e-mailadresse vil ikke blive offentliggjort. Obligatoriske felter er markeret med *

*

*

  1. Ansvarlig for dataene: Miguel Ángel Gatón
  2. Formålet med dataene: Control SPAM, management af kommentarer.
  3. Legitimering: Dit samtykke
  4. Kommunikation af dataene: Dataene vil ikke blive kommunikeret til tredjemand, undtagen ved juridisk forpligtelse.
  5. Datalagring: Database hostet af Occentus Networks (EU)
  6. Rettigheder: Du kan til enhver tid begrænse, gendanne og slette dine oplysninger.